Skip to content

Agreement Signing ​

During agreement signing API invocation, sign agreements based on the agreement IDs in the agreement configuration. If the user has already signed the same agreement of the same version, it will not be signed again.

Request Description ​

Request Headers ​

Parameter NameNameRequiredTypeDescription
X-operating-sys-versionCaller client operating system versionYesStringwindows10.1.1
X-device-fingerprintCaller client device fingerprintYesString156aysdna213sc50
X-device-ipCaller client IPNoString192.168.1.2
X-agentUser-Agent informationYesStringMozilla/5.0 (iPhone; CPU iPhone OS 13_3 like Mac OS X)
X-LUsed for internationalization language settingNoStringzh
X-client-idApplication authorization IDYesStringnTo1eRIub60vPb54WeE6aojPwYwImtl4
AuthorizationAuthorization informationYesStringBearer {id_token}
content-typeContent format typeYesStringapplication/json

Request Example ​

json
{
    "agreementIds": [
      "D8924F7071DC1D29A6822C794D848D9C",
      "DDS24F7071DC1D29A6822C794D848A1C"
    ],
    "scene":"LOGIN"
}

Request Parameters ​

Parameter NameNameRequiredTypeDescription
agreementIdsUser agreement ID collectionYesList
sceneSigning scenarioYesStringSupports LOGIN, REGISTER

Response Example ​

Success Example ​

HTTP/1.1 200 OK

json

Error Example ​

HTTP/1.1 400 Bad Request

json
{
    "code": "ECS.AGREEMENT.0001",
    "data": null,
    "message": "User agreement does not exist"
}

Error Codes ​

Status CodeError CodeError MessageRemediation
400ECS.AGREEMENT.0001Agreement Id not existPlease check whether the entered device information is complete
400SDK.COMMON.1003Device information is incompletePlease check whether the entered device information is complete
400IDAAS.SDK.PARAM.0016IdToken is invalid or expiredPlease re-acquire IdToken and try again
400IDAAS.SDK.COMMON.1001Parameter {0} cannot be left blankParameter {0} cannot be blank

BambooCloud IDaaS Open Platform